classification
Title: IDLE: Add test_autocomplete unittests
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: louielu, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2017-05-12 07:55 by louielu, last changed 2019-03-25 08:09 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1552 closed louielu, 2017-05-12 07:58
PR 2209 merged louielu, 2017-06-15 06:10
PR 12529 merged miss-islington, 2019-03-24 23:33
Messages (4)
msg293531 - (view) Author: Louie Lu (louielu) * Date: 2017-05-12 07:55
Due to #21261, add relative unittest to test_autocomplete.py
msg338769 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-03-24 23:33
New changeset 113d735e2091427f9623097d2a222dd99b16b568 by Terry Jan Reedy (Louie Lu) in branch 'master':
bpo-30348: IDLE: Add test_autocomplete unittest (GH-2209)
https://github.com/python/cpython/commit/113d735e2091427f9623097d2a222dd99b16b568
msg338770 - (view) Author: miss-islington (miss-islington) Date: 2019-03-24 23:53
New changeset 0e05d8a82dedf6f020b71a780507fb45ad5fd00f by Miss Islington (bot) in branch '3.7':
bpo-30348: IDLE: Add test_autocomplete unittest (GH-2209)
https://github.com/python/cpython/commit/0e05d8a82dedf6f020b71a780507fb45ad5fd00f
msg338788 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-03-25 08:09
Followup is #36419.
History
Date User Action Args
2019-03-25 08:09:34terry.reedysetstatus: open -> closed
title: IDLE: Add test_autocomplete unittest -> IDLE: Add test_autocomplete unittests
messages: + msg338788

resolution: fixed
stage: patch review -> resolved
2019-03-24 23:53:15miss-islingtonsetnosy: + miss-islington
messages: + msg338770
2019-03-24 23:33:27miss-islingtonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12480
2019-03-24 23:33:16terry.reedysetmessages: + msg338769
2018-05-09 06:29:06terry.reedylinkissue27675 dependencies
2017-10-13 04:42:07berker.peksaglinkissue30632 superseder
2017-06-15 07:36:59terry.reedysettitle: IDLE: Add test_autocoplete unittest -> IDLE: Add test_autocomplete unittest
2017-06-15 06:10:50louielusetpull_requests: + pull_request2253
2017-06-15 06:02:28louielusettitle: IDLE: Add fetch completions and get entity unittest -> IDLE: Add test_autocoplete unittest
2017-05-12 07:58:32louielusetpull_requests: + pull_request1649
2017-05-12 07:55:56louielucreate